beam-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Ahmet Altay (JIRA)" <j...@apache.org>
Subject [jira] [Commented] (BEAM-1795) Upgrade google-cloud-bigquery to 0.23.0
Date Fri, 24 Mar 2017 16:52:42 GMT

    [ https://issues.apache.org/jira/browse/BEAM-1795?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=15940715#comment-15940715
] 

Ahmet Altay commented on BEAM-1795:
-----------------------------------

> Also wondering what's the general rules to upgrade a library version?
This is a good question and I think should be documented on the web page. (Also [~dhalperi@google.com]
for the policy in Java)

Our current policy is to upgrade to the latest version of the dependencies as soon as possible
unless they introduce a breaking change, require a lot of code change, or because of a shared
dependency it is not possible for us to upgrade. In the latter case we decide on case by case
basis.

In this I would argue for upgrading now. It is is easier to keep libraries up-to-date by upgrading
at small incremental steps.



> Upgrade google-cloud-bigquery to 0.23.0
> ---------------------------------------
>
>                 Key: BEAM-1795
>                 URL: https://issues.apache.org/jira/browse/BEAM-1795
>             Project: Beam
>          Issue Type: Bug
>          Components: sdk-py
>            Reporter: Ahmet Altay
>            Assignee: Mark Liu
>
> Should we upgrade this?
> https://pypi.python.org/pypi/google-cloud-bigquery/0.23.0



--
This message was sent by Atlassian JIRA
(v6.3.15#6346)

Mime
View raw message